Package net.sf.saxon.serialize

## Class XHTMLURIEscaper

- java.lang.Object
- - net.sf.saxon.event.SequenceReceiver
  - - net.sf.saxon.event.ProxyReceiver
    - - net.sf.saxon.serialize.HTMLURIEscaper
      - - net.sf.saxon.serialize.XHTMLURIEscaper

- All Implemented Interfaces:
    `javax.xml.transform.Result`, `Receiver`

      public class XHTMLURIEscaper
      extends HTMLURIEscaper

  This class performs URI escaping for the XHTML output method. The logic for performing escaping is the same as the HTML output method, but the way in which attributes are identified for escaping is different, because XHTML is case-sensitive.

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.serialize.HTMLURIEscaper

      `currentElement, escapeURIAttributes, pool`

    - ### Fields inherited from class net.sf.saxon.event.ProxyReceiver

      `nextReceiver`

    - ### Fields inherited from class net.sf.saxon.event.SequenceReceiver

      `pipelineConfiguration, previousAtomic, systemId`

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XHTMLURIEscaper​(Receiver next)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `startElement​(NodeName nameCode, SchemaType type, AttributeMap attributes, NamespaceMap namespaces, Location location, int properties)` | Notify the start of an element

    - ### Methods inherited from class net.sf.saxon.serialize.HTMLURIEscaper

      `escapeURL, isUrlAttribute, startDocument`

    - ### Methods inherited from class net.sf.saxon.event.ProxyReceiver

      `append, characters, close, comment, endDocument, endElement, getNamePool, getNextReceiver, open, processingInstruction, setPipelineConfiguration, setSystemId, setUnderlyingReceiver, setUnparsedEntity, usesTypeAnnotations`

    - ### Methods inherited from class net.sf.saxon.event.SequenceReceiver

      `append, decompose, flatten, getConfiguration, getErrorCodeForDecomposingFunctionItems, getPipelineConfiguration, getSystemId, handlesAppend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XHTMLURIEscaper

          public XHTMLURIEscaper​(Receiver next)

  - ### Method Detail

    - #### startElement

          public void startElement​(NodeName nameCode,
                                   SchemaType type,
                                   AttributeMap attributes,
                                   NamespaceMap namespaces,
                                   Location location,
                                   int properties)
                            throws XPathException

      Notify the start of an element
      Specified by:
        `startElement` in interface `Receiver`
      Overrides:
        `startElement` in class `HTMLURIEscaper`
      Parameters:
        `nameCode` -
        `type` -
        `attributes` -
        `namespaces` -
        `location` -
        `properties` -
      Throws:
        `XPathException` - if an error occurs